function plugindef()

   -- This function and the 'finaleplugin' namespace

   -- are both reserved for the plug-in definition.

   finaleplugin.RequireScore = true

   finaleplugin.MinJWLuaVersion = "0.12"

   finaleplugin.Author = "Jari Williamsson"

   finaleplugin.Version = "0.01"

   finaleplugin.Date = "November 29, 2013"

   finaleplugin.CategoryTags = "Staff"

   finaleplugin.ParameterTypes = [[

Number

]]

   finaleplugin.ParameterDescriptions = [[

Default Vertical Position

]]

   return "Staff Name Position", "Staff Name Position", "Changes the default staff name position (both full and abbreviated)."

end







--[[This script is based on parameters.    

    Parameter 1: Default Vertical Position for staff names   

]] 



-- Get the parameters. Exit script on any kind of possible error. 

local parameters = {...}

if not parameters then return end



local vertpos = parameters[1]

if not vertpos then return end



-- Change the default vertical positions for staff names

local prefs = finale.FCStaffNamePositionPrefs()

prefs:LoadFull()

prefs.VerticalPos = vertpos

prefs:Save()



prefs:LoadAbbreviated()

prefs.VerticalPos = vertpos

prefs:Save()
